Complete a streaming message
Body is optional. If provided, must be JSON with an optional finalText field.
Authorization
bearerAuth AuthorizationBearer <token>
Instance secret token
In: header
Path Parameters
messageId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
finalText?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/api/v1/messages/msg_123/complete" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"chat_id": "string",
"role": "user",
"sender_id": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"content_final": "string",
"content_partial": "string",
"stream_state": "none",
"model_id": "string",
"trace": {
"property1": null,
"property2": null
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request.",
"details": null
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request.",
"details": null
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request.",
"details": null
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request.",
"details": null
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request.",
"details": null
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request.",
"details": null
}
}